Loading...
Searching...
No Matches
casacore::ExtensionHeaderDataUnit Class Reference
fits package (libcasa_fits) » FITS_module

base class for generalized exentensions HDU More...

`#include <hdu.h>`

## Public Member Functions

| ExtensionHeaderDataUnit (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ~ExtensionHeaderDataUnit ()
char * | xtension ()
char * | extname ()
Int | extver ()
Int | extlevel ()
Int | pcount ()
Int | gcount ()
int | read (char *addr, int nbytes)
| read next N bytes into addr
int | write (FitsOutput &fout, char *addr, int nbytes)
| write next N bytes from addr to the FITS output fout
Public Member Functions inherited from casacore::HeaderDataUnit
virtual | ~HeaderDataUnit ()
Int | dims () const
Int | dim (int n) const
OFF_T | fitsdatasize () const
FITS::ValueType | datatype () const
Int | fitsitemsize () const
Int | localitemsize () const
FITS::HDUType | hdutype () const
int | err () const
int | skip (uInt n)
| skipping one or more HDU's
int | skip ()
int | write_hdr (FitsOutput &)
| write the current header
ConstFitsKeywordList & | kwlist ()
| Operations on the HDU's keyword list.
Vector< String > | kwlist_str (Bool length80=False)
| return the header of the chdu as a vector of String.
void | firstkw ()
void | lastkw ()
const FitsKeyword * | nextkw ()
const FitsKeyword * | prevkw ()
const FitsKeyword * | currkw ()
const FitsKeyword * | kw (int n)
const FitsKeyword * | kw (const FITS::ReservedName &n)
const FitsKeyword * | nextkw (FITS::ReservedName &n)
const FitsKeyword * | kw (FITS::ReservedName &n, int i)
const FitsKeyword * | nextkw (FITS::ReservedName &n, int i)
const FitsKeyword * | kw (const char *n)
const FitsKeyword * | nextkw (const char *n)
void | mk (FITS::ReservedName k, Bool v, const char *c=0)
void | mk (FITS::ReservedName k, const char *v=0, const char *c=0)
void | mk (FITS::ReservedName k, Int v, const char *c=0)
void | mk (FITS::ReservedName k, double v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Bool v, const char *c=0)
void | mk (int n, FITS::ReservedName k, const char *v, const char *c=0)
void | mk (int n, FITS::ReservedName k, Int v, const char *c=0)
void | mk (int n, FITS::ReservedName k, double v, const char *c=0)
void | mk (const char *n, Bool v, const char *c=0)
void | mk (const char *n, const char *v=0, const char *c=0)
void | mk (const char *n, Int v, const char *c=0)
void | mk (const char *n, float v, const char *c=0)
void | mk (const char *n, double v, const char *c=0)
void | mk (const char *n, Int r, Int i, const char *c=0)
void | mk (const char *n, float r, float i, const char *c=0)
void | mk (const char *n, double r, double i, const char *c=0)
void | spaces (const char *n=0, const char *c=0)
void | comment (const char *n=0, const char *c=0)
void | history (const char *c=0)
Bool | notnull (double x) const
Bool | notnull (char *s) const
Bool | notnull (Int l) const
int | get_hdr (FITS::HDUType, FitsKeywordList &)
int | read_data (char *, Int)
int | write_data (FitsOutput &, char *, Int)
OFF_T | read_all_data (char *)
int | write_all_data (FitsOutput &, char *)

## Protected Member Functions

| ExtensionHeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| ExtensionHeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| This constructor is used for writing only required keywords.
Protected Member Functions inherited from casacore::HeaderDataUnit
| HeaderDataUnit (FitsInput &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler)
| For input – ~ should delete the keyword list: kwflag = 1.
| HeaderDataUnit (FitsKeywordList &, FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| For output – ~ should not delete keyword list: kwflag = 0 07/21/98 AKH Clarification: HeaderDataUnit has a copy of the FitsKeywordList, and should delete it.
| HeaderDataUnit (FITS::HDUType, FITSErrorHandler errhandler=FITSError::defaultHandler, FitsInput *=0)
| constructor for objects that write only required keyword to fits file.
bool | init_data_unit (FITS::HDUType t)
| for write required keywords only to use.
void | posEnd ()
void | errmsg (HDUErrs, const char *)
char * | assign (FITS::ReservedName)
char * | assign (FITS::ReservedName, int)
double | asgdbl (FITS::ReservedName, double)
double | asgdbl (FITS::ReservedName, int, double)

## Protected Attributes

char * | xtension_x
char * | extname_x
Int | extver_x
Int | extlevel_x
Int | pcount_x
Int | gcount_x
Protected Attributes inherited from casacore::HeaderDataUnit
FitsKeywordList & | kwlist_
ConstFitsKeywordList | constkwlist_
FitsInput * | fin
FITSErrorHandler | errfn
HDUErrs | err_status
Int | no_dims
Int * | dimn
OFF_T | fits_data_size
| uInt fits_data_size; // size in bytes of total amount of data
FITS::ValueType | data_type
Int | fits_item_size
Int | local_item_size
FITS::HDUType | hdu_type
char | pad_char
double | double_null
char | char_null
Int | Int_null

## Private Member Functions

void | ex_assign ()

## Additional Inherited Members

Public Types inherited from casacore::HeaderDataUnit
enum | HDUErrs { OK , NOMEM , MISSKEY , BADBITPIX , NOAXISN , NOPCOUNT , NOGCOUNT , BADPCOUNT , BADGCOUNT , NOGROUPS , BADNAXIS , BADREC , BADTYPE , BADRULES , BADSIZE , BADOPER , BADCONV , BADIO }
| error handling and error codes that can be returned More...
Static Public Member Functions inherited from casacore::HeaderDataUnit
static Bool | determine_type (FitsKeywordList &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Determines the HDU type and the data type Parameterss: keyword list, hdu type, data type, error handler and error status.
static Bool | compute_size (FitsKeywordList &, OFF_T &, Int &, FITS::HDUType &, FITS::ValueType &, FITSErrorHandler, HDUErrs &)
| Compute the total size of the data associated with an HDU.

## Detailed Description

base class for generalized exentensions HDU

Definition at line 795 of file hdu.h.

## Constructor & Destructor Documentation

## ExtensionHeaderDataUnit() [1/5]

casacore::ExtensionHeaderDataUnit::ExtensionHeaderDataUnit | ( | FitsInput & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

References casacore::FITSError::defaultHandler().

## ExtensionHeaderDataUnit() [2/5]

casacore::ExtensionHeaderDataUnit::ExtensionHeaderDataUnit | ( | FitsKeywordList & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

References casacore::FITSError::defaultHandler().

## ~ExtensionHeaderDataUnit()

casacore::ExtensionHeaderDataUnit::~ExtensionHeaderDataUnit | ( |  | ) |

## ExtensionHeaderDataUnit() [3/5]

casacore::ExtensionHeaderDataUnit::ExtensionHeaderDataUnit | ( | FitsInput & | ,
|  | FITS::HDUType | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

protected

References casacore::FITSError::defaultHandler().

## ExtensionHeaderDataUnit() [4/5]

casacore::ExtensionHeaderDataUnit::ExtensionHeaderDataUnit | ( | FitsKeywordList & | ,
|  | FITS::HDUType | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

protected

References casacore::FITSError::defaultHandler().

## ExtensionHeaderDataUnit() [5/5]

casacore::ExtensionHeaderDataUnit::ExtensionHeaderDataUnit | ( | FITS::HDUType | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

protected

This constructor is used for writing only required keywords.

References casacore::FITSError::defaultHandler().

## Member Function Documentation

## ex_assign()

void casacore::ExtensionHeaderDataUnit::ex_assign | ( |  | ) |

private

## extlevel()

Int casacore::ExtensionHeaderDataUnit::extlevel | ( |  | ) |

inline

Definition at line 805 of file hdu.h.

References extlevel_x.

## extname()

char * casacore::ExtensionHeaderDataUnit::extname | ( |  | ) |

inline

Definition at line 803 of file hdu.h.

References extname_x.

## extver()

Int casacore::ExtensionHeaderDataUnit::extver | ( |  | ) |

inline

Definition at line 804 of file hdu.h.

References extver_x.

## gcount()

Int casacore::ExtensionHeaderDataUnit::gcount | ( |  | ) |

inline

Definition at line 807 of file hdu.h.

References gcount_x.

## pcount()

Int casacore::ExtensionHeaderDataUnit::pcount | ( |  | ) |

inline

Definition at line 806 of file hdu.h.

References pcount_x.

## read()

int casacore::ExtensionHeaderDataUnit::read | ( | char * | addr,
|  | int | nbytes )

inline

read next N bytes into addr

Definition at line 810 of file hdu.h.

References casacore::HeaderDataUnit::read_data().

## write()

int casacore::ExtensionHeaderDataUnit::write | ( | FitsOutput & | fout,
|  | char * | addr,
|  | int | nbytes )

inline

write next N bytes from addr to the FITS output fout

Definition at line 813 of file hdu.h.

References casacore::HeaderDataUnit::write_data().

## xtension()

char * casacore::ExtensionHeaderDataUnit::xtension | ( |  | ) |

inline

Definition at line 802 of file hdu.h.

References xtension_x.

## Member Data Documentation

## extlevel_x

Int casacore::ExtensionHeaderDataUnit::extlevel_x

protected

Definition at line 828 of file hdu.h.

Referenced by extlevel().

## extname_x

char* casacore::ExtensionHeaderDataUnit::extname_x

protected

Definition at line 826 of file hdu.h.

Referenced by extname().

## extver_x

Int casacore::ExtensionHeaderDataUnit::extver_x

protected

Definition at line 827 of file hdu.h.

Referenced by extver().

## gcount_x

Int casacore::ExtensionHeaderDataUnit::gcount_x

protected

Definition at line 830 of file hdu.h.

Referenced by gcount().

## pcount_x

Int casacore::ExtensionHeaderDataUnit::pcount_x

protected

Definition at line 829 of file hdu.h.

Referenced by pcount().

## xtension_x

char* casacore::ExtensionHeaderDataUnit::xtension_x

protected

Definition at line 825 of file hdu.h.

Referenced by xtension().

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h